#ifndef __PROJAL_AL3101_DEAL_PROPERTIES_H__
#define __PROJAL_AL3101_DEAL_PROPERTIES_H__

/////////////////////////////////////////////////////////////////////////////
// Name:        AL3101DealProperties.h
// Project:     GUI for Axoris AL3101 application generator
// Author:      Gregor(y) Soyez
// Version:     1.0
// Created:     24/11/02
// Copyright:   (c) 2002 Axoris
/////////////////////////////////////////////////////////////////////////////

#include <stdio.h>
#include "../extract.h"

typedef struct t_module_property{
  int Index;
  char Name[80];
  char Value[40];
  UINT32 value;
  char Address[40];
  UINT32 address;
  char Descr[129];
} TModuleProperty;

// scan file to search for section 2
// Then fill the properties array for that module
// We return the number of properties.
int GetPropertyArray(FILE *flux, TModuleProperty **mp);
float ConvertToFloat(UINT32 s);

#endif
