#ifndef __AGALAG_PRINTER_H__
#define __AGALAG_PRINTER_H__

#include <wx/cmndata.h>
#include <wx/print.h>
#include <wx/printdlg.h>
#include "glmodulelist.h"

class CPrintStruct: public wxPrintout{
 public:
  CPrintStruct(CglModuleList *iModList, wxString i_title = _T("AgALag"));
  bool OnPrintPage(int page);
  bool HasPage(int page);
  bool OnBeginDocument(int startPage, int endPage);
  void GetPageInfo(int *minPage, int *maxPage, int *selPageFrom, int *selPageTo);

 private:
  void Draw(wxDC *dc);
  wxString title;

  CglModuleList *ModList;
};

#endif
