//--------------------------------------------------------------------//
//  AgALag : Axoris group AL3101 application generator                //
//                                                                    //
//                 _         _    _      _                            //
//                / \____   / \  | |    / \____                       //
//               / _ \  _\ / _ \ | |   / _ \  _\                      //
//              / /_\ \  __ /_\ \| |  / /_\ \  __                     //
//             / _____ \ \ \____ \ |_/______ \ \ \                    //
//            /_/     \_\___\   \_\____|    \_\___\                   //
//                                                                    //
//  File: tokenize.h                                                  //
//  Description: tool for string tokenization                         //
//  Version: 1.0                                                      //
//  Author: Gregor                                                    //
//  e-mail: Gregor.Soyez@swing.be                                     //
//                                                                    //
//  Copyright (C) 2002 Axoris                                         //
//--------------------------------------------------------------------//

#ifndef __PROJ_AL_TOKENIZE_H__
#define __PROJ_AL_TOKENIZE_H__

#include "ProjAL.h"

/*
** This function tokenize the string Str. It returns 
** the number of tokens. It allocates and fills the tokens 
** array. A pointer to that array is returned through ptoken.
 */
int StrTokenize(char *str, char ***ptokens);

#endif
