// Gen_WNO_internal.h: internal definitions for the White noise generator functions.
//
/////////////////////////////////////////////////////////////////////////////////////////////////

#ifndef __AL3101__GEN_WNO__INTERNAL__H__
#define __AL3101__GEN_WNO__INTERNAL__H__

#include <stdio.h>							// for the file IO
#include "../../common/1K_types.h"			// for the simulator types
#include "CFNoiseGenerator.h"


typedef struct Gen_WNO_Struct_structtag
{
	// Parameters
	float Amplitude;
	float Offset;

	// Internal variables
	
	// Memory variables
	INT32 *InputMemory;					// Address of the input memory

	// Sine generation
	CFNoiseGenerator NoiseGenerator;	// Class that generates the white noise

} Gen_WNO_Struct;


#endif // !defined(__AL3101__GEN_WNO__INTERNAL__H__)
