;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Effect Name : abs
;
; Description : calculates the absolute value
;
; Nb In       : 1
; Nb Out      : 1
;
; Input       : one mono input channel
; Output      : absolute value of the input channel
;
; Cycles      : 4 + 0 cycles
; Memory      : 0 words (without init)
; Delay Line  : no
;
; Author      : Lall
; Date        : 01/10/2003
; Version     : 1.0
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

ABS	INIT	0x3FF
	
	;; SEC1 Control parameters
	
	;; SEC2 Initial values of control parameters (S3.24 format)

	;; SEC3 Constants definitions

	;; SEC4 Memory variables definition

	;; SEC5 Initial values of memory variables

	;; SEC6 Initialization

	;; SEC7 Module code
CM		1.0		IN1		; A contains the input
SKIP	!N		1		; if the number is positive don't do next line
CAD		-1.0	0.0 	; invert A if number if negative
SCA     1.0     OUT1    ; store the absolute value
