#ifndef __MKALPROJ_AL3101_MODULE_HEADER__
#define __MKALPROJ_AL3101_MODULE_HEADER__

#define MODULE_HEADER_OK     0
#define MODULE_HEADER_ERROR  1

// project informations
// it contains the project specifications (name, nb I/O, ...)
typedef struct t_moduleinfo{
  char Name[255];
  char Descr[255];
  int NbIn;
  int NbOut;
  char InDescr[255];
  char OutDescr[255];
  int Cycles;
  int InitCycles;
  int MemUsage;
  int UseDelay;
} TModuleInfo;

// gets the number of inputs and outputs for the module "name"
int GetModuleInfo(char *name, TModuleInfo *info);

#endif
