/////////////////////////////////////////////////////////////////////////////
// Name:        about.h
// Project:     GUI for Axoris AL3101 application generator
// Author:      Gregor(y) Soyez
// Version:     1.1
// Created:     05/01/02
// Copyright:   (c) Axoris
/////////////////////////////////////////////////////////////////////////////

#ifndef __PROJ_AL_ABOUT_H__
#define __PROJ_AL_ABOUT_H__

#define ABOUT_DESCRIPT   "Application generator\n for AL3101 DSP."
#define ABOUT_VERSION    "1.0"
#define ABOUT_AUTHOR     "Gregor"
#define ABOUT_COMPANY    "Axoris"
#define ABOUT_COPYRIGHT  "Copyright (c) 2001, Axoris"

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

// for all others, include the necessary headers (this file is usually all you
// need because it includes almost all "standard" wxWindows headers)
#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif// Define a new frame type: this is going to be our main frame

class CAbout : public wxDialog{
 public:
  // ctor & dtor
  CAbout(wxWindow* parent, wxWindowID id);
  ~CAbout();

 private:
  wxButton *BtnOk;
  wxStaticText *HdrDescr, *HdrAuth, *HdrVer, *HdrCpy;
  wxStaticText *TxtDescr, *TxtAuth, *TxtVer, *TxtCpy, *TxtCpyr;
};

#endif
