#ifndef __PROJAL_AL3101_DEAL_PROPERTIES_H__
#define __PROJAL_AL3101_DEAL_PROPERTIES_H__

/////////////////////////////////////////////////////////////////////////////
// Name:        AL3101DealProperties.h
// Project:     GUI for Axoris AL3101 application generator
// Author:      Gregor(y) Soyez
// Version:     1.0
// Created:     24/11/02
// Copyright:   (c) 2002 Axoris
/////////////////////////////////////////////////////////////////////////////

#include <stdio.h>
#include "../common/1K_types.h"

#define PROP_TYPE_PARAMETER 1
#define PROP_TYPE_INTERNAL  2

typedef struct t_memory_map{
  char Name[80];
  UINT32 Addr;
  UINT32 Value;
  t_memory_map *next;
  int type;
} TMemoryMap;

// scan file to search for section 2
// Then fill the properties array for that module
// We return the number of properties.
int GetPropertyArray(FILE *flux, long int *SecOffsets, TMemoryMap **mp);

#endif
