#include "Table.h"

TMnemonicTable MnemonicTable[64] = {
  { 0,  "CM",    2, asm_c18_x_m,   disasm_c18_x_m   },
  { 1,  "LCM",   2, asm_c18_x_m,   disasm_c18_x_m   },
  { 2,  "CMA",   2, asm_c18_x_m,   disasm_c18_x_m   },
  { 3,  "LCMA",  2, asm_c18_x_m,   disasm_c18_x_m   },  
  { 4,  "CMB",   2, asm_c18_x_m,   disasm_c18_x_m   },  
  { 5,  "XCM",   2, asm_c18_x_m,   disasm_c18_x_m   },
  { 6,  "AMB",   1, asm_x_m,       disasm_x_m       },    
  { 7,  "XCMA",  2, asm_c18_x_m,   disasm_c18_x_m   },
  { 8,  "AMC",   2, asm_c18_x_m,   disasm_c18_x_m   },
  { 9,  "LAMC",  2, asm_c18_x_m,   disasm_c18_x_m   },
  { 10, "BMC",   2, asm_c18_x_m,   disasm_c18_x_m   },
  { 11, "LMMC",  2, asm_c18_x_m,   disasm_c18_x_m   },
  { 12, "MMC",   2, asm_c18_x_m,   disasm_c18_x_m   },
  { 13, "XMMC",  2, asm_c18_x_m,   disasm_c18_x_m   },
  { 14, "1MC",   2, asm_c18_x_m,   disasm_c18_x_m   },
  { 15, "L1MC",  2, asm_c18_x_m,   disasm_c18_x_m   },
  { 16, "AAC",   1, asm_c24_x,     disasm_c24_x     },  
  { 17, "LAAC",  2, asm_c18_x_m,   disasm_c18_x_m   },
  { 18, "BAC",   1, asm_c24_x,     disasm_c24_x     },  
  { 19, "CAB",   1, asm_c18_x,     disasm_c18_x     },  
  { 20, "CAD",   2, asm_c18_d8,    disasm_c18_d8    }, 
  { 21, "LCA",   2, asm_c18_x_m,   disasm_c18_x_m   },
  { 22, "CAM",   2, asm_c18_x_m,   disasm_c18_x_m   },
  { 23, "DAC",   2, asm_c8_d18,    disasm_c8_d18    }, 
  { 24, "BBC",   1, asm_c24_x,     disasm_c24_x     },  
  { 25, "CB",    1, asm_c18_x,     disasm_c18_x     },  
  { 26, "CBM",   2, asm_c18_x_m,   disasm_c18_x_m   },
  { 27, "X1AC",  1, asm_c24_x,     disasm_c24_x     },  
  { 28, "1AC",   1, asm_c24_x,     disasm_c24_x     },  
  { 29, "L1AC",  2, asm_c18_x_m,   disasm_c18_x_m   },
  { 30, "LOGB",  0, asm_x,         disasm_x         },      
  { 31, "EXPB",  0, asm_x,         disasm_x         },      
  { 32, "SCA",   2, asm_c18_x_m,   disasm_c18_x_m   },
  { 33, "SXCA",  2, asm_c18_x_m,   disasm_c18_x_m   },
  { 34, "SCB",   2, asm_c18_x_m,   disasm_c18_x_m   },
  { 35, "SBUA",  1, asm_x_m,       disasm_x_m       },    
  { 36, "SCUA",  2, asm_c18_x_m,   disasm_c18_x_m   },
  { 37, "SCUB",  2, asm_c18_x_m,   disasm_c18_x_m   },
  { 38, "SCU",   2, asm_c18_x_m,   disasm_c18_x_m   },
  { 39, "SBUC",  2, asm_c18_x_m,   disasm_c18_x_m   },
  { 40, "SAAC",  2, asm_c18_x_m,   disasm_c18_x_m   },
  { 41, "SXAAC", 2, asm_c18_x_m,   disasm_c18_x_m   },
  { 42, "SBAC",  2, asm_c18_x_m,   disasm_c18_x_m   },
  { 43, "SBBC",  2, asm_c18_x_m,   disasm_c18_x_m   },
  { 44, "SCBA",  2, asm_c18_x_m,   disasm_c18_x_m   },
  { 45, "SCAB",  2, asm_c18_x_m,   disasm_c18_x_m   },
  { 46, "SLOGB", 1, asm_x_m,       disasm_x_m       },    
  { 47, "SEXPB", 1, asm_x_m,       disasm_x_m       },    
  { 51, "SAUC",  2, asm_c18_x_m,   disasm_c18_x_m   },
  { 52, "S1AC",  2, asm_c18_x_m,   disasm_c18_x_m   },
  { 53, "SX1AC", 2, asm_c18_x_m,   disasm_c18_x_m   },
  { 54, "S1BC" , 2, asm_c18_x_m,   disasm_c18_x_m   },
  { 55, "SINDF", 2, asm_c10_x_0_m, disasm_c10_x_b_m },
  { 55, "SINDI", 2, asm_c10_x_1_m, disasm_c10_x_b_m },
  { 56, "ANDB",  0, asm_x_0_x,     disasm_c24_b_x   },
  { 56, "ANDC",  1, asm_c24_1_x,   disasm_c24_b_x   },
  { 57, "ADDB",  0, asm_x,         disasm_x         },      
  { 58, "SUBB",  0, asm_x,         disasm_x         },      
  { 59, "MLTB",  0, asm_x,         disasm_x         },      
  { 60, "C",     2, asm_c24_x_p,   disasm_c24_x_p   },
  { 61, "SKIP",  2, asm_c8_x_p,    disasm_c8_x_p    },
  { 62, "1BC",   1, asm_c24_x,     disasm_c24_x     },  
  { 63, "LINDF", 2, asm_c10_x_0_m, disasm_c10_x_b_m }, 
  { 63, "LINDI", 2, asm_c10_x_1_m, disasm_c10_x_b_m }
};

