#ifndef __AL3101_ASM_H__
#define __AL3101_ASM_H__

/* Assembler for AL3101 */

#define ASM_FILE_NOT_EXISTS  -1
#define ASM_READ_ERROR       -2
#define ASM_ERROR            -3

/*
** Assemble the .asm file 'In_fn' and fill the structure AL3101_disasm
** (see AL3101Struct.h)
** Returns : NbLines             if success
**           ASM_FILE_NOT_EXISTS if In_fn doesn't exists
**           ASM_READ_ERROR      if an error occurs while browsing In_fn
**           ASM_ERROR           if errors were found in the source code
*/
int Assemble(char *In_fn, AL3101_Disasm_struct *AL3101_disasm);

#endif
